CHCON(1)

NOM
chcon - Modifier le contexte de sécurité d'un fichier

SYNOPSIS
chcon [OPTION]... CONTEXTE FICHIER...
chown [OPTION]... [-u UTILISATEUR] [-r ROLE] [-l NIVEAU] [-t TYPE] FICHIER...
chcon [OPTION]... --reference=FICHIER-R FICHIER...

DESCRIPTION

Modifier le contexte de sécurité de chaque FICHIER en CONTEXTE. Avec l'option --reference, modifier le contexte de sécurité de chaque fichier en celui de FICHIER-R.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

--dereference
    affecter la cible de chaque lien symbolique (comportement par défaut) plutôt que le lien symbolique lui-même

-h, --no-dereference
    agir sur les liens symboliques au lieu des fichiers référencés

-u, --user=UTILISATEUR
    utiliser l'UTILISATEUR dans le contexte de sécurité cible

-r, --role=ROLE
    utiliser le RÔLE dans le contexte de sécurité cible

-t, --type=TYPE
    utiliser le TYPE dans le contexte de sécurité cible

-l, --range=NIVEAU
    utiliser le NIVEAU dans le contexte de sécurité cible

--no-preserve-root
    ne pas traiter « / » de manière spéciale (par défaut)

--preserve-root
    ne pas opérer récursivement sur « / »

--reference=FICHIER-R
    utiliser le contexte de sécurité de FICHIER-R au lieu d'indiquer une valeur de CONTEXTE

-R, --recursive
    modifier récursivement fichiers et répertoires

-v, --verbose
    afficher un diagnostic pour chaque fichier traité

Les options suivantes modifient la façon dont est parcourue la hiérarchie lorsque l'option -R est également spécifiée. Si plus d'une option est spécifiée, seule la dernière est prise en compte.

-H  si un paramètre de la ligne de commande est un lien symbolique vers un répertoire, le parcourir

-L  parcourir chaque lien symbolique rencontré menant à un répertoire

-P  ne parcourir aucun lien symbolique (par défaut)

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

AUTEUR
Écrit par Russell Coker et Jim Meyering.

SIGNALER DES BOGUES
Signaler toute anomalie de chcon à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <http://www.gnu.org/gethelp/>
Signaler toute erreur de traduction de chcon à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète pour chcon est disponible dans un manuel Texinfo. Si les programmes info et chcon sont correctement installés sur votre système, la commande

    info coreutils 'chcon invocation'

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Julien Cristau <julien.cristau@ens-lyon.org> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.